Loading...
Searching...
No Matches
composition_abstract.h File Reference
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/composition/iterators/composition_abstract_iterator.h"`
`#include <string>`
`#include <unordered_map>`
`#include <set>`
`#include <vector>`
`#include <memory>`
Include dependency graph for composition_abstract.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | fourdst::composition::CompositionAbstract
| Abstract base class for chemical composition representations. More...

## Namespaces

namespace | fourdst
namespace | fourdst::composition
| Utilities and types for representing and manipulating chemical compositions.